Package org.apache.commons.configuration2.builder

## Interface PropertiesBuilderProperties<T>

- Type Parameters:
    `T` - the type of the result of all set methods for method chaining
  All Known Subinterfaces:
    `PropertiesBuilderParameters`
  All Known Implementing Classes:
    `PropertiesBuilderParametersImpl`

      public interface PropertiesBuilderProperties<T>

  Definition of a parameters interface for properties configurations.

  This interface defines additional properties which can be set when initializing a `PropertiesConfiguration` object.

  Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default T` | `setIncludeListener​(ConfigurationConsumer<ConfigurationException> includeListener)` | Sets the current include listener, may be null.
    `T` | `setIncludesAllowed​(boolean f)` | Sets a flag whether include files are supported by the properties configuration object.
    `T` | `setIOFactory​(PropertiesConfiguration.IOFactory factory)` | Sets the `IOFactory` to be used by the properties configuration object.
    `T` | `setLayout​(PropertiesConfigurationLayout layout)` | Sets the layout object for the properties configuration object.

- - ### Method Detail

    - #### setIncludeListener

          default T setIncludeListener​(ConfigurationConsumer<ConfigurationException> includeListener)

      Sets the current include listener, may be null.
      Parameters:
        `includeListener` - the current include listener, may be null.
      Returns:
        a reference to this object for method chaining
      Since:
        2.6

    - #### setIncludesAllowed

          T setIncludesAllowed​(boolean f)

      Sets a flag whether include files are supported by the properties configuration object. If set to true, files listed by an include property are loaded automatically.
      Parameters:
        `f` - the value of the flag
      Returns:
        a reference to this object for method chaining

    - #### setLayout

          T setLayout​(PropertiesConfigurationLayout layout)

      Sets the layout object for the properties configuration object. With this method a custom layout object can be set. If no layout is provided, the configuration will use a default layout.
      Parameters:
        `layout` - the `PropertiesConfigurationLayout` object to be used by the configuration
      Returns:
        a reference to this object for method chaining

    - #### setIOFactory

          T setIOFactory​(PropertiesConfiguration.IOFactory factory)

      Sets the `IOFactory` to be used by the properties configuration object. With this method a custom factory for input and output streams can be set. This allows customizing the format of properties read or written by the configuration. If no `IOFactory` is provided, the configuration uses a default one.
      Parameters:
        `factory` - the `IOFactory` to be used by the configuration
      Returns:
        a reference to this object for method chaining